## view
Class ASetTournamentStateURL

    java.lang.Object
      view.GoURL
          view.ASetTournamentStateURL

    public class ASetTournamentStateURL

extends GoURL

Constructor Summary
`ASetTournamentStateURL(ID tid, boolean open)` Constructs the URL.

Method Summary

Methods inherited from class view.GoURL
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ASetTournamentStateURL

    public ASetTournamentStateURL(ID tid,
                                  boolean open)

  Constructs the URL.

  Parameters:
    `tid` - the ID of the tournament the state of which to set.
    `open` - if true, the state is set to "open", otherwise "closed".